View Issue Details

IDProjectCategoryView StatusLast Update
0000558Ham Radio DeluxeBugpublic2017-07-09 18:59
ReporterW4PC 
Assigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAcer V5-471 (w/8GB RAM)OSWindows 8 (64 bit)OS VersionPro
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0000558: Cannot "Remove" (delete) HRD Rotator Configuration profiles
DescriptionThe "Remove" button function within HRD Rotator's Tools-Options-Configuration does not work when attempting to delete rotator preset configuration profiles. Clicking on it does nothing.
Steps To Reproduce(1) Launch HRD Rotator
(2) Configure rotator settings, provide a label name (I used G5500 in my configuration to reflect use of a Yaesu model G-5500 rotator.
(3) If desired, configure additional rotator preset profile configurations.
(4) In HRD Rotator menu item Tools-Options-Configuration, select a rotator preset profile by clicking on one in the displayed list.
(5) Click on "Remove" button. Note that the profile item is not removed/deleted.

Additional InformationTim kb3nph witnessed this problem via remote control during a support session on Tue 8 Oct 2013.

It is not intuitively apparent, and is not explained in the HRD Help text displayed in the Tools-Options-Configuration dialog or other Help doc exactly what the function/purpose is for these preset configuration profiles. The assumption that most users would arguably make is that they provide the means for the user to preset multiple rotator configuration settings (eg, different rotators & their controllers, different protocols, different Serial port settings, different Stop Position settings, Az-El vs Az-only, etc etc) that can then be used for quickly changing the settings for HRD Rotator for simply clicking on a profile in the list...but it is not apparent HOW the profile would be put into use (double-clicking the profile in the list opens an edit dialog, does not put it into use; the list of profiles is not accessible from the main HRD Rotator screen; etc).
TagsNo tags attached.
ModuleRig Control
Sub-Module(select)
Testing Beta Successful

Relationships

has duplicate 0001405 closedK7ZCZ Cannot delete rotors setting in HRD Rotor 

Activities

user19

2014-01-31 20:29

  ~0000275

I have seen this behavior as well. You can manually edit the \ProgramData\HRDLLC\HRD Rotator\RotatorConfig.XML to eliminate erroneous entry.

Jim - KB1NXE

K7ZCZ

2017-06-29 03:17

manager   ~0003420

This is fixed, so I think we should resolve this bug. I agree with the comments above, though: it's not clear what rotator configurations do or how they're used. In fact, I'm not sure there's a way to actually select one! We should revisit the design and decide what to do, but I think that's a separate, new issue from this one.

K7ZCZ

2017-06-29 03:18

manager   ~0003421

Fixed with checkin #3549

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3549

WA9PIE

2017-07-04 23:30

administrator   ~0003488

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003523

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003560

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:57 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2014-01-31 20:29 user19 Note Added: 0000275
2014-01-31 22:01 WA9PIE Release => (select)
2014-01-31 22:01 WA9PIE Module => (select)
2014-01-31 22:01 WA9PIE Sub-Module => (select)
2014-01-31 22:01 WA9PIE Report Build => (select)
2014-01-31 22:01 WA9PIE Status new => acknowledged
2014-02-02 14:44 WA9PIE Summary Cannot "Remove" (delete) HRD Rotator Configuration profiles => Bug: Cannot "Remove" (delete) HRD Rotator Configuration profiles
2015-09-17 13:09 WA9PIE Module (select) => Rig Control
2015-09-17 13:17 WA9PIE Category Rig Control => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 16:07 WA9PIE Fix Build => (select)
2015-09-29 16:07 WA9PIE Summary Bug: Cannot "Remove" (delete) HRD Rotator Configuration profiles => Cannot "Remove" (delete) HRD Rotator Configuration profiles
2017-06-29 03:17 K7ZCZ Note Added: 0003420
2017-06-29 03:18 K7ZCZ Assigned To => WA9PIE
2017-06-29 03:18 K7ZCZ Status acknowledged => resolved
2017-06-29 03:18 K7ZCZ Resolution open => fixed
2017-06-29 03:18 K7ZCZ Note Added: 0003421
2017-06-29 03:18 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-06-29 23:04 K7ZCZ Testing => Not Started
2017-07-01 08:30 WA9PIE Fixed in Version => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003488
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003523
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003560
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-07-11 09:07 K7ZCZ Relationship added has duplicate 0001405